Subject: Re: Bug: link.exe
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Tue, 4 Jan 2005 17:39:43 -0800

On Tue, Jan 04, 2005 at 03:26:58PM -0700, Isaac Foraker wrote:
> I am, however, greatly disappointed at how negatively certain members of 
> this list treat people who provide feedback.

Try to ignore it.  There are others out there just ignoring it too.

> Not being able to keep up 
> with the volume of the list, I don't always catch that upgrading Cygwin 
> will break my build configurations.  In future, I am inclined to not 
> report new problems after upgrading.  There are certain list members who 
> seem to have a deep insight into Cygwin, and rather than sharing, they 
> lambast those users who do not have the time to make Cygwin a major part 
> of their lives.  Not all of us have the time to review several months 
> worth of list archives to find what we need.  That just plain sucks.

I'm not sure what you expect in this situation.  cygwin is growing.
More and more packages are being added/updated, many of which add more
things to /usr/bin.  This can be expected to continue, and without
explicit notification of each new filename.

In a situation where you can (and ought to) expect conflicts between
/usr/bin and other directories in your path, it behooves you to not
wait for each potential conflict to actually occur, but rather to
order your path more sensibly.  If necessary, set up a new directory
to put at the beginning, with links or copies of whatever you want
to take precedence.

Is there some other issue that I'm missing here?

> >On Tue, Jan 04, 2005 at 09:50:02AM -0700, Isaac Foraker wrote:
> >>That's a really nice attitude.  I don't expect anyone to bend over 
> >>backwards, but a little QC would be nice.  If you would prefer that 
> >>professionals using Cygwin with commercial configurations do not provide 
> >>feedback, I suggest you update the fact and just say so.

Quality Control?  I don't see how that comes into it.  See 'cygwin is
growing' above.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/